Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0003150 [JEDI VCL] 00 JVCL Components tweak always 2005-08-11 02:25 2005-12-02 17:00
Reporter elahn View Status public  
Assigned To elahn
Priority normal Resolution fixed  
Status resolved   Product Version 3.00
Summary 0003150: JvFormStorage property editor -> "Form Storage Editor"
Description As great as the 'Form Storage Editor' is, I much prefer to edit the StoredProps property as a TStrings in the code editor. This gives me ability to use Find/Replace and also I can type a lot faster than I can use the mouse.

In the attached files, I've changed it so that double clicking on the TJvFormStorage still displays the 'Form Storage Editor', however clicking the '...' button for StoredProps in the Object Inspector displays a standard 'String List Editor' with the all important 'Code Editor' button.
Additional Information
Tags No tags attached.
Attached Files zip file icon To_Replace_Latest_CVS_Versions.zip [^] (9,681 bytes) 2005-09-15 22:29
zip file icon To_Replace_Latest_CVS_Versions_(no_comments).zip [^] (9,607 bytes) 2005-09-28 21:15

- Relationships

-  Notes
(0007934)
elahn (developer)
2005-09-15 22:29

Changes integrated into the latest versions from CVS, JvFormPlacement.pas (v1.59), JvSystemReg.pas (v1.42). The only change to JvSystemReg.pas is commenting out the line:

  RegisterPropertyEditor(TypeInfo(TStrings), TJvFormStorage,
    'StoredProps', TJvStoredPropsProperty);
(0008028)
elahn (developer)
2005-10-14 00:36

I've been using this for about 6 months now with no problems.
(0008144)
obones (administrator)
2005-11-22 09:23

Isn't this already in CVS ?
Or did I never give you a definitive answer on this ?
(0008189)
elahn (developer)
2005-12-02 17:00

Oops, I was really busy and forgot to actually do it. In CVS now. :)

- Issue History
Date Modified Username Field Change
2005-08-11 02:25 elahn New Issue
2005-08-11 02:25 elahn File Added: JvFormPlacement.pas
2005-08-11 02:27 elahn File Added: JvSystemReg.pas
2005-08-11 02:27 elahn Issue Monitored: elahn
2005-09-15 22:29 elahn File Added: To_Replace_Latest_CVS_Versions.zip
2005-09-15 22:29 elahn Note Added: 0007934
2005-09-28 21:15 elahn File Added: To_Replace_Latest_CVS_Versions_(no_comments).zip
2005-10-14 00:36 elahn Note Added: 0008028
2005-11-03 05:16 elahn Status new => assigned
2005-11-03 05:16 elahn Assigned To => elahn
2005-11-03 05:16 elahn File Deleted: JvFormPlacement.pas
2005-11-03 05:16 elahn File Deleted: JvSystemReg.pas
2005-11-22 09:23 obones Note Added: 0008144
2005-11-22 09:23 obones Status assigned => feedback
2005-12-02 17:00 elahn Status feedback => resolved
2005-12-02 17:00 elahn Resolution open => fixed
2005-12-02 17:00 elahn Note Added: 0008189
2005-12-02 19:08 elahn Issue End Monitor: elahn


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker